Bug 186289

Summary: Konqueror does not allow selection of ISO 8859-1 character set for remote systems
Product: [Applications] konqueror Reporter: Marcelo Sales <mmtsales>
Component: generalAssignee: Konqueror Developers <konq-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: kollix
Priority: NOR    
Version: 4.1.3   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In: 4.8.0

Description Marcelo Sales 2009-03-06 01:39:42 UTC
Version:            (using KDE 4.1.3)
OS:                Linux
Installed from:    SuSE RPMs

Just once, the first time I tried, I've been able to select ISO 8859-1 character set for a remote system in Konqueror.
Then I closed Konqueror and tried to access the same system another time (using fish:// and sftp:// protocols) and it did not remember the character set that I had selected for the remote system.
I tried to set it up again, but Konqueror allows me to select every one of the available character sets, except ISO 8859-1. When I select ISO 8859-1, Konqueror automatically selects Baltic (ISO 8859-13), which is the first entry of the list.
Despite this, Konqueror still saves the character set as ISO 8859-1 for this remote system in ~/kde4/share/config/kio_fishrc when it is closed, but this setting is not honored when it is opened the next time.
I've tried to delete this file and select the ISO 8859-1 character set again, but no deal.
Comment 1 Martin Koller 2011-06-27 21:21:39 UTC
I can still reproduce this with 4.6.4 ... funny.
All other remote charsets can be selected, but only ISO-8859-1 selection is ignored and baltic is used.
Comment 2 Dawit Alemayehu 2012-01-18 23:05:05 UTC
Git commit 8f231bd08134f7b1870a9c1747429c1b05174d62 by Dawit Alemayehu.
Committed on 18/01/2012 at 19:30.
Pushed by adawit into branch 'KDE/4.8'.

When populating the "Show Remote Encoding" menu, put the check mark besides
the correct saved remote encoding charset.
FIXED-IN: 4.8.0
REVIEW: 103730

M  +3    -3    dolphin/src/views/dolphinremoteencoding.cpp

http://commits.kde.org/kde-baseapps/8f231bd08134f7b1870a9c1747429c1b05174d62
Comment 3 Dawit Alemayehu 2012-01-18 23:05:35 UTC
Git commit e824021d45a989ec75776f14082d6af62223715d by Dawit Alemayehu.
Committed on 18/01/2012 at 19:30.
Pushed by adawit into branch 'master'.

When populating the "Show Remote Encoding" menu, put the check mark besides
the correct saved remote encoding charset.
FIXED-IN: 4.8.0
REVIEW: 103730
(cherry picked from commit 8f231bd08134f7b1870a9c1747429c1b05174d62)

M  +3    -3    dolphin/src/views/dolphinremoteencoding.cpp

http://commits.kde.org/kde-baseapps/e824021d45a989ec75776f14082d6af62223715d